Docker Community Forums

Share and learn in the Docker community.

Docker build works in Ubuntu but not on Windows

I posted about [django.db.utils.OperationalError: FATAL: password authentication failed for user “postgres”] at stackoverflow (postgresql - Newbie needs help understanding Docker Postgres django.db.utils.OperationalError: FATAL: password authentication failed for user "postgres" - Stack Overflow) and a user there said my repo GitHub - Niqnil/blog: This does not work. Published to get help debugging. works for him with no problems. I am on Windows 10 and he is on Linux Ubuntu 20.04, Docker 20.10.6, docker-compose 1.27.4.

The problem which I run into (and he doesn’t) when running docker-compose up --build is authentication in postgres container despite loading the authentication variables into env. Please see traceback below.

Based on the repo working on Ubuntu, I suspect the issue is with my docker installation or windows and have tried various ways to uninstall and reinstall, including pruning and using “Clean / Purge data” and “Reset to factory defaults” under Troubleshoot and then reinstalling Docker Desktop.

I am a newbie to coding and docker and would appreciate any help in solving this. Thanks in advance!

My docker version:
C:\Users\User>docker version
Client: Docker Engine - Community
Cloud integration: 1.0.12
Version: 20.10.5
API version: 1.41
Go version: go1.13.15
Git commit: 55c4c88
Built: Tue Mar 2 20:14:53 2021
OS/Arch: windows/amd64
Context: default
Experimental: true

Server: Docker Engine - Community
 Engine:
  Version:          20.10.5
  API version:      1.41 (minimum version 1.12)
  Go version:       go1.13.15
  Git commit:       363e9a8
  Built:            Tue Mar  2 20:15:47 2021
  OS/Arch:          linux/amd64
  Experimental:     false
 containerd:
  Version:          1.4.4
  GitCommit:        05f951a3781f4f2c1911b05e61c160e9c30eaa8e
 runc:
  Version:          1.0.0-rc93
  GitCommit:        12644e614e25b05da6fd08a38ffa0cfe1903fdec
 docker-init:
  Version:          0.19.0
  GitCommit:        de40ad0

Dockerfile:
# Use an official Python runtime based on Debian 10 “buster” as a parent image.
FROM python:3.8.2-slim-buster

# Set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# Set work directory
WORKDIR /code

# Install dependencies
RUN apt-get update --yes --quiet && apt-get install --yes --quiet --no-install-recommends \
    build-essential \
    libpq-dev \
    libmariadbclient-dev \
    libjpeg62-turbo-dev \
    zlib1g-dev \
    libwebp-dev \
    postgresql-server-dev-all gcc python3-dev musl-dev \
 && rm -rf /var/lib/apt/lists/*
COPY Pipfile Pipfile.lock /code/
RUN pip install pipenv && pipenv install --system

# Copy project
COPY . /code/

docker-compose.yml
version: “3.8”

services:
  web:
    build: .
    command: python /code/manage.py runserver 0.0.0.0:8000 #--settings=blog.settings.dev
    volumes:
      - .:/code
    ports:
      - 8000:8000
    env_file:
      - .env/.dev
    depends_on:
      - pgdb

  pgdb:
    image: postgres:13.2-alpine
    restart: always
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    ports:
      - 5432:5432
    environment:
      - POSTGRES_USER=useruser
      - POSTGRES_PASSWORD=password123
      - POSTGRES_DB=postgresdb
    #env_file:
    #  - .env/.dev_db


volumes:
  postgres_data:

Traceback:
1. D:\blog>docker-compose up --build

2. Docker Compose is now in the Docker CLI, try `docker compose up`

* Creating network "blog_default" with the default driver

3. Creating volume "blog_postgres_data" with default driver

4. Pulling pgdb (postgres:13.2-alpine)...

5. 13.2-alpine: Pulling from library/postgres

6. 540db60ca938: Pull complete

7. a3cb73039552: Pull complete

8. 39855706e49a: Pull complete

9. 74e3b91ca207: Pull complete

10. 61c8cceb594b: Pull complete

11. a63418dfbd97: Pull complete

12. cb8adc73d3af: Pull complete

13. d6a2a57ca5f8: Pull complete

14. Digest: sha256:c4c7a1585974706b5f72b8ab595e47399b23b2e03d93bbf75c1b0904be1803dc

15. Status: Downloaded newer image for postgres:13.2-alpine

16. Building web

17. failed to get console mode for stdout: The handle is invalid.

18. [+] Building 140.3s (12/12) FINISHED

19. => [internal] load build definition from Dockerfile 0.0s

20. => => transferring dockerfile: 734B 0.0s

21. => [internal] load .dockerignore 0.0s

22. => => transferring context: 2B 0.0s

23. => [internal] load metadata for docker.io/library/python:3.8.2-slim-bust 4.2s

24. => [auth] library/python:pull token for registry-1.docker.io 0.0s

25. => [internal] load build context 0.1s

26. => => transferring context: 83.42kB 0.0s

27. => [1/6] FROM docker.io/library/python:3.8.2-slim-buster@sha256:ed48f14 12.2s

28. => => resolve docker.io/library/python:3.8.2-slim-buster@sha256:ed48f149 0.0s

29. => => sha256:e7d894e421487d32bdaf2d7d662b6b8643bba93430e 7.59kB / 7.59kB 0.0s

30. => => sha256:54fec2fa59d0a0de9cd2dec9850b36c43de451f1f 27.10MB / 27.10MB 7.4s

31. => => sha256:cd3f35d84caba5a287676eeaea3d371e1ed5af8c57c 2.75MB / 2.75MB 2.9s

32. => => sha256:a0afc8e92ef0f5e56ddda03f8af40a4396226443 31.06MB / 31.06MB 10.1s

33. => => sha256:ed48f14994a6de2240f0b3a491f75a78b491010b45c 1.86kB / 1.86kB 0.0s

34. => => sha256:4df95c4121184d83fa679ac3ff00afe04d496e3f571 1.37kB / 1.37kB 0.0s

35. => => sha256:9691f23efdb7fd2829d06ad8fb9c8338487c183bb1aefa0 234B / 234B 3.4s

36. => => sha256:6512e60b314b980bce8ece057d15292db0f50ca12db 2.22MB / 2.22MB 5.6s

37. => => extracting sha256:54fec2fa59d0a0de9cd2dec9850b36c43de451f1fd1c0a5b 1.8s

38. => => extracting sha256:cd3f35d84caba5a287676eeaea3d371e1ed5af8c57c33532 0.2s

39. => => extracting sha256:a0afc8e92ef0f5e56ddda03f8af40a4396226443a446e457 1.4s

40. => => extracting sha256:9691f23efdb7fd2829d06ad8fb9c8338487c183bb1aefa0d 0.0s

41. => => extracting sha256:6512e60b314b980bce8ece057d15292db0f50ca12dbe6dd5 0.2s

42. => [2/6] WORKDIR /code 0.8s

43. => [3/6] RUN apt-get update --yes --quiet && apt-get install --yes --qu 70.2s

44. => [4/6] COPY Pipfile Pipfile.lock /code/ 0.1s

45. => [5/6] RUN pip install pipenv && pipenv install --system 47.9s

46. => [6/6] COPY . /code/ 0.1s

47. => exporting to image 4.7s

48. => => exporting layers 4.7s

49. => => writing image sha256:024d2d57f2275e5962b1b002c0c78c2a32d5f6e83f676 0.0s

50. => => naming to docker.io/library/blog_web 0.0s

* Use 'docker scan' to run Snyk tests against images to find vulnerabilities and learn how to fix them

51. Successfully built 024d2d57f2275e5962b1b002c0c78c2a32d5f6e83f6761e5c9ed4a85c8aceae4

52. Use 'docker scan' to run Snyk tests against images to find vulnerabilities and learn how to fix them

53. Creating blog_pgdb_1 ... done

54. Creating blog_web_1 ... done

55. Attaching to blog_pgdb_1, blog_web_1

56. pgdb_1 | The files belonging to this database system will be owned by user "postgres".

57. pgdb_1 | This user must also own the server process.

58. pgdb_1 |

59. pgdb_1 | The database cluster will be initialized with locale "en_US.utf8".

60. pgdb_1 | The default database encoding has accordingly been set to "UTF8".

61. pgdb_1 | The default text search configuration will be set to "english".

62. pgdb_1 |

63. pgdb_1 | Data page checksums are disabled.

64. pgdb_1 |

65. pgdb_1 | fixing permissions on existing directory /var/lib/postgresql/data ... ok

66. pgdb_1 | creating subdirectories ... ok

67. pgdb_1 | selecting dynamic shared memory implementation ... posix

68. pgdb_1 | selecting default max_connections ... 100

69. pgdb_1 | selecting default shared_buffers ... 128MB

70. pgdb_1 | selecting default time zone ... UTC

71. pgdb_1 | creating configuration files ... ok

72. pgdb_1 | running bootstrap script ... ok

73. pgdb_1 | performing post-bootstrap initialization ... sh: locale: not found

74. pgdb_1 | 2021-04-29 02:51:55.643 UTC [30] WARNING: no usable system locales were found

75. pgdb_1 | ok

76. pgdb_1 | syncing data to disk ... ok

77. pgdb_1 |

78. pgdb_1 |

79. pgdb_1 | Success. You can now start the database server using:

80. pgdb_1 |

81. pgdb_1 | pg_ctl -D /var/lib/postgresql/data -l logfile start

82. pgdb_1 |

83. pgdb_1 | initdb: warning: enabling "trust" authentication for local connections

84. pgdb_1 | You can change this by editing pg_hba.conf or using the option -A, or

85. pgdb_1 | --auth-local and --auth-host, the next time you run initdb.

86. pgdb_1 | waiting for server to start....2021-04-29 02:51:56.725 UTC [35] LOG: starting PostgreSQL 13.2 on x86_64-pc-linux-musl, compiled by gcc (Alpine 10.2.1_pre1) 10.2.1 20201203, 64-bit

87. pgdb_1 | 2021-04-29 02:51:56.729 UTC [35] LOG: listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"

88. pgdb_1 | 2021-04-29 02:51:56.737 UTC [36] LOG: database system was shut down at 2021-04-29 02:51:56 UTC

89. pgdb_1 | 2021-04-29 02:51:56.743 UTC [35] LOG: database system is ready to accept connections

90. pgdb_1 | done

91. pgdb_1 | server started

92. pgdb_1 | CREATE DATABASE

93. pgdb_1 |

94. pgdb_1 |

95. pgdb_1 | /usr/local/bin/docker-entrypoint.sh: ignoring /docker-entrypoint-initdb.d/*

96. pgdb_1 |

97. pgdb_1 | waiting for server to shut down...2021-04-29 02:51:56.957 UTC [35] LOG: received fast shutdown request

98. pgdb_1 | .2021-04-29 02:51:56.960 UTC [35] LOG: aborting any active transactions

99. pgdb_1 | 2021-04-29 02:51:56.960 UTC [35] LOG: background worker "logical replication launcher" (PID 42) exited with exit code 1

100. pgdb_1 | 2021-04-29 02:51:56.961 UTC [37] LOG: shutting down

101. pgdb_1 | 2021-04-29 02:51:56.981 UTC [35] LOG: database system is shut down

102. pgdb_1 | done

103. pgdb_1 | server stopped

104. pgdb_1 |

105. pgdb_1 | PostgreSQL init process complete; ready for start up.

106. pgdb_1 |

107. pgdb_1 | 2021-04-29 02:51:57.085 UTC [1] LOG: starting PostgreSQL 13.2 on x86_64-pc-linux-musl, compiled by gcc (Alpine 10.2.1_pre1) 10.2.1 20201203, 64-bit

108. pgdb_1 | 2021-04-29 02:51:57.085 UTC [1] LOG: listening on IPv4 address "0.0.0.0", port 5432

109. pgdb_1 | 2021-04-29 02:51:57.085 UTC [1] LOG: listening on IPv6 address "::", port 5432

110. pgdb_1 | 2021-04-29 02:51:57.091 UTC [1] LOG: listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"

111. pgdb_1 | 2021-04-29 02:51:57.100 UTC [49] LOG: database system was shut down at 2021-04-29 02:51:56 UTC

112. pgdb_1 | 2021-04-29 02:51:57.105 UTC [1] LOG: database system is ready to accept connections

113. web_1 | Watching for file changes with StatReloader

114. web_1 | Performing system checks...

115. web_1 |

116. web_1 | System check identified no issues (0 silenced).

117. pgdb_1 | 2021-04-29 02:51:57.597 UTC [56] FATAL: password authentication failed for user "postgres"

118. pgdb_1 | 2021-04-29 02:51:57.597 UTC [56] DETAIL: Role "postgres" does not exist.

119. pgdb_1 | Connection matched pg_hba.conf line 99: "host all all all md5"

120. web_1 | Exception in thread django-main-thread:

121. web_1 | Traceback (most recent call last):

122. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection

123. web_1 | self.connect()

124. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

125. web_1 | return func(*args, **kwargs)

126. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 200, in connect

127. web_1 | self.connection = self.get_new_connection(conn_params)

128. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

129. web_1 | return func(*args, **kwargs)

130. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/postgresql/base.py", line 187, in get_new_connection

131. web_1 | connection = Database.connect(**conn_params)

132. web_1 | File "/usr/local/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect

133. web_1 | conn = _connect(dsn, connection_factory=connection_factory, **kwasync)

134. web_1 | psycopg2.OperationalError: FATAL: password authentication failed for user "postgres"

135. web_1 |

136. web_1 |

137. web_1 | The above exception was the direct cause of the following exception:

138. web_1 |

139. web_1 | Traceback (most recent call last):

140. web_1 | File "/usr/local/lib/python3.8/threading.py", line 932, in _bootstrap_inner

141. web_1 | self.run()

142. web_1 | File "/usr/local/lib/python3.8/threading.py", line 870, in run

143. web_1 | self._target(*self._args, **self._kwargs)

144. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/autoreload.py", line 53, in wrapper

145. web_1 | fn(*args, **kwargs)

146. web_1 | File "/usr/local/lib/python3.8/site-packages/django/core/management/commands/runserver.py", line 121, in inner_run

147. web_1 | self.check_migrations()

148. web_1 | File "/usr/local/lib/python3.8/site-packages/django/core/management/base.py", line 459, in check_migrations

149. web_1 | executor = MigrationExecutor(connections[DEFAULT_DB_ALIAS])

150. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/migrations/executor.py", line 18, in __init__

151. web_1 | self.loader = MigrationLoader(self.connection)

152. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/migrations/loader.py", line 53, in __init__

153. web_1 | self.build_graph()

154. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/migrations/loader.py", line 216, in build_graph

155. web_1 | self.applied_migrations = recorder.applied_migrations()

156. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/migrations/recorder.py", line 77, in applied_migrations

157. web_1 | if self.has_table():

158. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/migrations/recorder.py", line 55, in has_table

159. web_1 | with self.connection.cursor() as cursor:

160. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

161. web_1 | return func(*args, **kwargs)

162. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 259, in cursor

163. web_1 | return self._cursor()

164. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 235, in _cursor

165. web_1 | self.ensure_connection()

166. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

167. web_1 | return func(*args, **kwargs)

168. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection

169. web_1 | self.connect()

170. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__

171. web_1 | raise dj_exc_value.with_traceback(traceback) from exc_value

172. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 219, in ensure_connection

173. web_1 | self.connect()

174. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

175. web_1 | return func(*args, **kwargs)

176. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/base/base.py", line 200, in connect

177. web_1 | self.connection = self.get_new_connection(conn_params)

178. web_1 | File "/usr/local/lib/python3.8/site-packages/django/utils/asyncio.py", line 26, in inner

179. web_1 | return func(*args, **kwargs)

180. web_1 | File "/usr/local/lib/python3.8/site-packages/django/db/backends/postgresql/base.py", line 187, in get_new_connection

181. web_1 | connection = Database.connect(**conn_params)

182. web_1 | File "/usr/local/lib/python3.8/site-packages/psycopg2/__init__.py", line 127, in connect

183. web_1 | conn = _connect(dsn, connection_factory=connection_factory, **kwasync)

184. web_1 | django.db.utils.OperationalError: FATAL: password authentication failed for user "postgres"

185. web_1 |

Pruning before reinstalling docker
1. D:\blog>docker-compose down -v

2. Stopping blog_web_1 ... done

3. Stopping blog_pgdb_1 ... done

4. Removing blog_web_1 ... done

5. Removing blog_pgdb_1 ... done

6. Removing network blog_default

7. Removing volume blog_postgres_data

* D:\blog>docker-compose down -v

8. Removing network blog_default

9. WARNING: Network blog_default not found.

10. Removing volume blog_postgres_data

11. WARNING: Volume blog_postgres_data not found.

* D:\blog>docker stop $(docker ps -aq)

12. unknown shorthand flag: 'a' in -aq)

13. See 'docker stop --help'.

* D:\blog>docker rm $(docker ps -aq)

14. unknown shorthand flag: 'a' in -aq)

15. See 'docker rm --help'.

* D:\blog>docker system prune --volumes --all --force

16. Deleted Volumes:

17. 17a4284da697cdd2544a512f257d09e1c2822d251dc74b5e66b60ded258e0e66

18. ac8c6b6be04210163743647ec7a63dc1c10dbc216deff54057112367dd46bd65

19. d28219cd7d7beca828c7d08b94fc9dc59e15c955dc9dc5d5a4d76b21d574ba01

20. e4ee6f8c232e2937a9ddb743b5fe1e67a8852e5110bec4373b1e4df8ef12d4e6

21. de760cacb6c26e6195894e164116d043f9bc84e0317a996eb631e847efb2c675

22. fbe75f60a420fc6f9e505ae8d76d41a96739b1f0c93560eaa21562c30a28cf64

23. 1f8d4a0d80fab2bf1ad86997ae360fda174936d0a62b4006523f018b4593cc00

24. 2234a4e594f3e1abdd9c30d0ce8e3215f4cf77db030bd512caea8524523750ef

25. 48e6db4cee886278e501605325ca39a4de0e5215e23a515030c283ee660fbc04

26. 931006a4b9dfc9f5d6c9dc00158afc6d685bb0ad0637b752024e4bd0eae0ad3e

27. tutorial_postgres_data

28. 16e5cab6c7a37e1c1208daa2573ddb17416a43baff905f28eaa7499629259823

29. 741e05163fb9fae7cf146a79530cd602d3ff51d81413df016b907c20c73fd376

30. ae61e3c73409f361967bbdb3b2b69a8b4cc49c14831d6a501f60525e0100e743

31. blog_redis_data

32. 8ed40d0bd46d53811eb0e994619445ac97184dc36fbcc30f5118834462027fc7

33. bakerydemo_media-root

34. dcc07c162efbf058cb6f7058df7b6b92025b1277ac17a4c3473cf4522b73f278

35. django_3_by_example_postgres_data

36. 3e5fd76c491f459a48f35c12de283b79cbbc333296b9ef29c6373cc676713a1c

37. 5f4fe715718ffddc84691a77c7315b92aed8485a5894168fec8dd35e11f78e73

38. 6afb874fb9b6c342dc5fdc38b65933710be932e515ec45687d7942f6c2c11013

39. 76916138bc5cb04b5d29a7a20f8c687f5359c4d1cda2d00bdedaeb4ff9cae141

40. da1fc920c41611efa83d2625abf4e5268a9b43b40a04e85cf0c700ace6377062

41. dfb7903017dfec7de1076d8cb2371624bf7f0eaf295ec1b1d7793471656c437f

42. 079c5d842c0bbe56db6d38a382f7d86b6f3c46df64b0168fb79887a4721c33c3

43. a8f7a704038c0773803f3c19fc248fc3ec1ac4b9a0c9dd0d4c79dea5b09ca5cb

44. d3abe87a747012dd1a7b53be0ee3b018bbe27502e223a28040c999137a9f242a

45. 0aa011e75314cacac33a13e3a0a5e4a658dde26156b442e565e893127e84a608

46. d306c8eeb3f356bc54f7e6bd7fd787b078661727eda1ee31e888589941704a07

47. d6a3a398e346605bd1faded130d86176a2191d0827c0acda5794a132f3680762

48. wagtail_docker_postgres_data

49. 19cca2d162a05d23cbd37e3146e234f1c98dc091d82db8f51d05ad987d7a6eb4

50. 3db4c59ef2af9f35553d8b843b3e04d1690b4a7f21240d7a6c465161bd954bab

51. 7c231e15d8c8b15d1cdf31b4d7efec3845151b377c880136f9d241dc849c2cf9

52. 9e74db48ad6dc11550e87366e8c9ed1f721379f45968a736aa89980c476ccde7

53. a06706917ae6ef44d6fe6ddc5b63f93999895d6ba04d96d0ed68af99a3bf1a8e

54. 015c16c7540a0e8304a84afe8b3127ea9068514601302d8062a7823389f57b6d

55. 3b7a249d8e1cfdc35086eef08e861f0bd56e9df0beef437e3fe84cbeda4069e1

56. 8819af33818b19f001a6a5944220917aa2f72b940c2d840486a0465d61e39568

57. 990f670cb75b4ac33b7f1f51e3f2e711634cff04bffe3b9748494c3ea237d00f

* Deleted Images:

58. untagged: postgres:13.2-alpine

59. untagged: postgres@sha256:c4c7a1585974706b5f72b8ab595e47399b23b2e03d93bbf75c1b0904be1803dc

60. deleted: sha256:e43172f9204f3f2ec21165200338d5d918a86e2984b2c75a36b18cffd9a948b4

61. deleted: sha256:30b8b0d5c5d33f3529b7546066d4eff9e0917302564c0b7419912a3129552e9d

62. deleted: sha256:4f64f47bd60704d8b31cf0d9f4dfc180a85a7664515f9a296bdb734fbdda8c13

63. deleted: sha256:64aca073dd5e68333a4828d9d6fa9ed06d077d3611c805336b19dba2f2b90c34

64. deleted: sha256:19bfab949bea202acfdc34eaa72270e920f820724ea7141c56c3fbaf24eea30b

65. deleted: sha256:67e56b407a80955f7fb984ff6a240894e8b83924e9cd1ebb664540431ad8694a

66. deleted: sha256:467a1a3ab7a319fabdf7a119d9ef8c9e754761e07873fc966411aa7d43b1cbb6

67. deleted: sha256:43c4002f9c7ae0819a7781860c972bf045f56266bb6af0b47f8ab691020c5dd4

68. deleted: sha256:b2d5eeeaba3a22b9b8aa97261957974a6bd65274ebd43e1d81d0a7b8b752b116

69. untagged: blog_web:latest

70. deleted: sha256:bfb35cd9586baa81c07d5180bb4b8bc6b3d10173273c12f0a4f164d9dde923e0

* Deleted build cache objects:

71. 5xgq4pzotu97qqxbr44c0pbmw

72. mryqtjufl2xjl7nt2ellib57f

73. 49yl0kqf7919uf79vkhc712wp

74. 5pjk9j93wt3ggni8r7t7f5ooo

75. zqerqofputtb9um5hwqe7tu5l

76. 4d6q3vqod1tl0iy1augvc3jre

77. hltxu0fticziyn0owy69y6sio

78. wzolw1hvwyz1vx3hdzpr9bvfu

79. 30l8xxgiz49itvzcq9rbso7z8

80. 3msxynmo34kkwuvuvo28uu6tm

81. vndv1875xkmi47fedkg1jo3nu

82. w0u8c1jrryu9a35wux6p35eca

83. whilrl5f2cxsn2aa29njootj4

* Total reclaimed space: 1.459GB